package com.web.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.web.po.User;
import com.web.service.UserService;

@Controller
public class HelloController {
	
	@Autowired
	private UserService userService;
	
	// 鷽urlһά
	@RequestMapping("/hello") 
    public String hello(@RequestParam(value = "id", required = false, defaultValue = "1") int id,    		            
                Model model) throws Exception {              	
    		
			// ͨͻ˴͹idȡuser
			User user = userService.getUserById(id);
			
			if (user == null) {
				user = new User();
				user.setName("޼¼");
			}
			
			String myhtml = "<div><p>htmlı</p><p>ɫcssʽļɹء</p><p>˵jspϵݿɺ̨Ʋʾ</P></div><p></P>";
			// jspļУͨ${myhtml}õmyhtml
			model.addAttribute("myhtml", myhtml);
			
			
			model.addAttribute("name", user.getName());            
            
    		// ȥWEB-INF/jsp hello.jspΪspringmvc-servlet.xmlǰ׺׺
    		// ԣhello = WEB-INF/jsp/hello.jsp
    		return "hello";
    }
}
